import uploader from '@/plugins/uploader/index.js'
const globalUrl = process.uniEnv || {}
export default {
	name: 'upload',
	components: {},
	data() {
		return {
			domain: 'http://upload.qiniup.com', // 七牛上传域名地址
			uptokenURL: globalUrl.ucenterUrl.apiUrl + '/v1/tokens', // 上传token地址
			files:[], // 上传文件
			fileMaps:[], // 上传文件返回对象
			keys:[], // 七牛返回key
			uploadToken: '', // 上传token
			maximum:999, // 最大上传数量
			qiniuOptions: {}, // 七牛上传配置
			imgList:[]
		};
	},
	created() {
		console.log(uploader,'uploader')
		// this.initQiniu()
	},
	methods: {	
		async chooseImage(type){
			let imageList = []
			if(type==='qiniu'){
				// 七牛上传
				let res = await uploader.qnImgUpload()
				console.log(res,'res--------qnImgUpload')
				// res.map(item=>{
				// 	imageList.push()
				// })
				this.imgList = res
				return
			}
			// 本地服务上传
			let res = await uploader.urlUpload()
			this.imgList = res
		},
		perviewImg(index) {
			let urls = []
			this.imgList.map(item => {
				urls.push(item.src)
			})
			uni.previewImage({
				current: index,
				urls: urls
			});
		},
		removeImg(index) {
			this.imgList.splice(index, 1)
			// this.$emit('image-change', this.imgList) //将图片回传父页面
		},
	
	}
}
